#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 32. KDE Plasma

- Prev

  qtkeychain-0.15.0

- Next

  Building Plasma

- Up
- Home

# kquickimageeditor-0.6.0

## Introduction to kquickimageeditor

This package provides a set of QtQuick components providing basic image editing capabilities.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/KDE/kquickimageeditor/archive/v0.6.0/kquickimageeditor-0.6.0.tar.gz

- Download MD5 sum: 67374d11da33a68c09eba4019bf4d132

- Download size: 4.3 MB

- Estimated disk space required: 23 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### kquickimageeditor Dependencies

#### Required

KDE Frameworks-6.23.0

#### Optional

opencv-4.13.0

## Installation of kquickimageeditor

Install kquickimageeditor by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libKQuickImageEditor.so
Installed Directories: $KF6_PREFIX/include/KQuickImageEditor, $KF6_PREFIX/include/kquickimageeditor, $KF6_PREFIX/lib/cmake/KQuickImageEditor, and $KF6_PREFIX/lib/qml/org/kde/kquickimageeditor

- Prev

  qtkeychain-0.15.0

- Next

  Building Plasma

- Up
- Home